All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components
Class DataElementColors

    com.sas.graphics.components.DataElementColors

    public class DataElementColors

This class encapsulates a set of colors that can be applied to a `DataElementStyles` to define the color specification for the data elements. Typically a `DataElementColors` will be applied to a `GraphStyle`'s `DataElementStyles` or a `Graph`'s `DataElementStyles`. (ex. myGraphStyle.getDataElementStyles().applyDataElementColors( myDataElementColors ); or myGraph.getGraphModel().getDataElementStyles().applyDataElementColors( myDataElementColors );)
Each graph applies its `DataElementStyles` in its own specific way so the application of these colors is graph specific. Generally speaking, a specific graph will not make use of all color properties defined by this class. This class is designed to be a general purpose color proeprty definition set that can be applied to any graph.
There are two discrete color lists. One pertains to filled areas (such as bars or pie slices), the other is a contrast color list which pertains to elements requiring colors that need to stand out more such as line markers (FYI: the color lists are not required to be the same length). Note: some charts overlay elements using the fill colors with elements using contrast colors so you may need to define both.

There are also two 2-Color continuous range colors and two 3-Color continuous range colors. Again the specific type of graph that these properties are applied on will determine if and how these properties are used. For example the BarChart will use the continuous two color fill colors if and only if a numeric AnalysisVariable is assigned to its `styleByVariable` property in the `BarChartTableDataModel` (and it never uses the other continuous range colors).
The two color range defines a start and end color for a continuous data range. Ex. defining start=yellow and end=blue, imparts that the middle range would be a blend of the two (i.e. green).
The three color range defines a start, neutral and end color. The neutral color will lie in the middle of the data range. Ex. defining start=red, neutral=white and end=blue imparts that red will transition into white followed by a transition into blue.

The outline color defines the data element outline color (bar, pie slice, marker, etc.).

To override the discrete fill color list:

## Usage

       DataElementColors dataElementColors = new DataElementColors();
       dataElementColors.setDiscreteFillColors( new Color[]
                                       {
                                          new Color( 97, 115, 169),
                                          new Color(141, 166,  66),
                                          new Color(152,  52,  28),
                                          new Color(253, 200,  97),
                                          new Color(138, 164, 201),
                                          new Color(111, 117,   0),
                                          new Color(184, 127,  50),
                                          new Color(214, 198, 110),
                                          new Color( 94,  82, 139),
                                          new Color(103, 153,  32),
                                          new Color(200,  87,  60),
                                          new Color(127,  89,  52)
                                      });

## Behavior

Though you certainly can create a `DataElementColors` and apply it onto a `DataElementStyles`, the more typical scenario is that you will simply create an instance of a `ColorScheme`. A `ColorScheme` will automatically create a `DataElementColors` and will make the appropriate color property assignments based upon the particular scheme type you choose when you created the `ColorScheme`. The when you apply the `ColorScheme` unto a `GraphStyle` or a `Graph` the `DataElementColors` will automatically be applied onto the associated `DataElementStyles`. This sounds more complex than it really is.

It probably worth noting that that a `DataElementColors` is never assigned to a graph as a property or model. It is a convenient generalised packaging of a set of color properties that get applied to a `DataElementStyles`.

Since:
  SAS 9.1
See Also:
  `GraphStyle`, `ColorScheme`

Constructor Summary
`DataElementColors()` Default Constructor, uses the Terra Color Scheme
`DataElementColors(java.awt.Color[] fillColors, java.awt.Color[] contrastColors, java.awt.Color outline)` Constructor that takes two color lists and an outline color.

Method Summary
`boolean` | `equals(DataElementColors that)`
`java.awt.Color` | `getActualColor()` Returns the color property used to identify "Actual" gantt bar.
`java.awt.Color` | `getBaselineColor()` Returns the color property used to identify "Baseline" gantt bar.
`java.awt.Color` | `getBreakTimeColor()` Returns the color applied to break time, usually utilaize by gantt charts.
`java.awt.Color` | `getConnectingLineColor()` Get the connecting line color for data elements.
`ColorPosition[]` | `getContinuousColorSpectrum()` Gets the color spectrum, a list of colors with associated positions along a normalized range of 0.0 to 1.0.
`java.awt.Color` | `getContinuousContrastThreeColorEndColor()` Returns the ending color of a three color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousContrastThreeColorNeutralColor()` Returns the middle color of a three color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousContrastThreeColorStartColor()` Returns the beginning color of a three color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousContrastTwoColorEndColor()` Returns the ending color of a two color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousContrastTwoColorStartColor()` Returns the beginning color of a two color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousFillThreeColorEndColor()` Returns the ending color of a three color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousFillThreeColorNeutralColor()` Returns the middle color of a three color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousFillThreeColorStartColor()` Returns the beginning color of a three color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousFillTwoColorEndColor()` Returns the ending color of a two color continuous range spectrum for the data elements.
`java.awt.Color` | `getContinuousFillTwoColorStartColor()` Returns the beginning color of a two color continuous range spectrum for the data elements.
`java.awt.Color` | `getCriticalColor()` Returns the color property used to identify "Critical" gantt bar.
`java.awt.Color` | `getCustom2Color()` Returns the color property used to identify "Custom Schedule 2" gantt bar.
`java.awt.Color` | `getCustomSchedule1Color()` Returns the color property used to identify "Custom Schedule 1" gantt bar.
`java.awt.Color[]` | `getDiscreteContrastColors()` Gets the list of colors to be associated with Contrast data elements in a graph.
`java.awt.Color[]` | `getDiscreteFillColors()` Gets the list of colors to be associated with pie slice and bar data elements in a graph.
`java.awt.Color` | `getErrorColor()` Gets the color to be associated with error data values in a graph.
`java.awt.Color` | `getFinalColor()` Returns the color property used to identify "final" values.
`java.awt.Color` | `getInitialColor()` Returns the color property used to identify "initial" values.
`java.awt.Color` | `getMilestoneColor()` Returns the color property used to identify milestones.
`java.awt.Color` | `getMissingColor()` Returns the color applied to missing values.
`java.awt.Color` | `getNormalColor()` Returns the color property used to identify "Normal" portion of the gantt bar.
`java.awt.Color` | `getOtherColor()` Gets the color to be associated with Other pie slice in a pie chart.
`java.awt.Color` | `getOutlineColor()` Get the outline color for data elements.
`java.awt.Color` | `getOutOfRangeColor()` Gets the color to be associated with Out Of Range data values in a graph.
`java.awt.Color` | `getOverFlowColor()` Gets the color to be associated with Over Flow data values in a Spectrum Plot.
`java.awt.Color` | `getResourceColor()` Returns the color property used to identify "Resource" gantt bar.
`java.awt.Color` | `getSlackColor()` Returns the color property used to identify "Slack" portion of the gantt bar.
`java.awt.Color` | `getTargetColor()` Returns the color applied to target indicators.
`java.awt.Color` | `getThresholdColor()` Gets the color to be associated with data values above or below the set Threshold value.
`java.awt.Color` | `getUnderFlowColor()` Gets the color to be associated with Under Flow data values in a Spectrum Plot.
`void` | `setActualColor(java.awt.Color newColor)` Specifies the color to use for an "Actual" gantt bar.
`void` | `setBaselineColor(java.awt.Color newColor)` Specifies the color to use for an "Baseline" gantt bar.
`void` | `setBreakTimeColor(java.awt.Color newBreakTimeColor)` Sets the color applied to break time, usually utilized by gantt chart.
`void` | `setConnectingLineColor(java.awt.Color newColor)` Set the data elements connecting line color If newColor is null, this setting is ignored.
`void` | `setContinuousColorSpectrum(ColorPosition[] newColorSpectrum)` Sets a color spectrum defined as an array of color inflection points mapped to normalised (0.0 to 1.0 inclusive) range.
`void` | `setContinuousContrastThreeColorEndColor(java.awt.Color newColor)` Sets the ending color of a three color continuous range spectrum for the data elements.
`void` | `setContinuousContrastThreeColorNeutralColor(java.awt.Color newColor)` Sets the middle color of a three color continuous range spectrum for the data elements.
`void` | `setContinuousContrastThreeColorStartColor(java.awt.Color newColor)` Sets the beginning color of a three color continuous range spectrum for the data elements.
`void` | `setContinuousContrastTwoColorEndColor(java.awt.Color newColor)` Sets the ending color of a two color continuous range spectrum for the data elements.
`void` | `setContinuousContrastTwoColorStartColor(java.awt.Color newColor)` Sets the beginning color of a two color continuous range spectrum for the data elements.
`void` | `setContinuousFillThreeColorEndColor(java.awt.Color newColor)` Sets the ending color of a three color continuous range spectrum for the data elements.
`void` | `setContinuousFillThreeColorNeutralColor(java.awt.Color newColor)` Sets the middle color of a three color continuous range spectrum for the data elements.
`void` | `setContinuousFillThreeColorStartColor(java.awt.Color newColor)` Sets the beginning color of a three color continuous range spectrum for the data elements.
`void` | `setContinuousFillTwoColorEndColor(java.awt.Color newColor)` Sets the ending color of a two color continuous range spectrum for the data elements.
`void` | `setContinuousFillTwoColorStartColor(java.awt.Color newColor)` Sets the beginning color of a two color continuous range spectrum for the data elements.
`void` | `setCriticalColor(java.awt.Color newColor)` Specifies the color to use for an "Critical" gantt bar.
`void` | `setCustom2Color(java.awt.Color newColor)` Specifies the color to use for an "Custom Schedule 2 " gantt bar.
`void` | `setCustomSchedule1Color(java.awt.Color newColor)` Specifies the color to use for an "Custom Schedule 1 " gantt bar.
`void` | `setDiscreteContrastColors(java.awt.Color[] newColors)` Sets the colors to be used for Contrast data elements in a graph.
`void` | `setDiscreteFillColors(java.awt.Color[] newColors)` Sets the list of colors to be associated with pie slice and bar data elements in a graph.
`void` | `setErrorColor(java.awt.Color newColor)` Sets the color to be associated with error data values in a graph.
`void` | `setFinalColor(java.awt.Color newColor)` Specifies the color to use for an "final" value.
`void` | `setInitialColor(java.awt.Color newColor)` Specifies the color to use for an "initial" value.
`void` | `setMilestoneColor(java.awt.Color newColor)` Specifies the color to use for a milestone data element.
`void` | `setMissingColor(java.awt.Color newMissingColor)` Sets the color applied to missing values.
`void` | `setNormalColor(java.awt.Color newColor)` Specifies the color to use for an "Normal" portion of the gantt bar.
`void` | `setOtherColor(java.awt.Color newColor)` Sets the color to be associated with the Other pie slice in a pie chart.
`void` | `setOutlineColor(java.awt.Color newColor)` Set the data elements outline color If newColor is null, this setting is ignored.
`void` | `setOutOfRangeColor(java.awt.Color newColor)` Sets the color to be associated with Out Of Range data values in a graph.
`void` | `setOverFlowColor(java.awt.Color newColor)` Sets the color to be associated with Over Flow data values in a Spectrum Plot.
`void` | `setResourceColor(java.awt.Color newColor)` Specifies the color to use for an "Resource" gantt bar.
`void` | `setSlackColor(java.awt.Color newColor)` Specifies the color to use for an "Slack" portion of the gantt bar.
`void` | `setTargetColor(java.awt.Color newTargetColor)` Sets the color applied to target indicators.
`void` | `setThresholdColor(java.awt.Color newColor)` Sets the color to be associated with data values that at or above or below the set Threshold value set in a BarChart graph.
`void` | `setUnderFlowColor(java.awt.Color newColor)` Sets the color to be associated with Under Flow data values in a Spectrum Plot.

Methods inherited from class com.sas.graphics.components.ModelBase
`addPropertyChangeListener, equals, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, hashCode, removePropertyChangeListener, setContainedModel`

Constructor Detail

### DataElementColors

    public DataElementColors()

  Default Constructor, uses the Terra Color Scheme

### DataElementColors

    public DataElementColors(java.awt.Color[] fillColors,
                             java.awt.Color[] contrastColors,
                             java.awt.Color outline)

  Constructor that takes two color lists and an outline color. Any null parameter is ignored and the Terra default will be set.

  Parameters:
    `fillColors` - data element Fill color set.
    `contrastColors` - data element Contrast color set.
    `outline` - data element outline color.
  See Also:
    `setDiscreteFillColors(java.awt.Color[])`, `setDiscreteContrastColors(java.awt.Color[])`, `setOutlineColor(java.awt.Color)`

Method Detail

### setDiscreteFillColors

    public void setDiscreteFillColors(java.awt.Color[] newColors)

  Sets the list of colors to be associated with pie slice and bar data elements in a graph. These colors are only used for filled data elements. Markers will usually use the contrast color set. However, each individual chart determines how it will use these colors. Check chart specific documentation.

  If newColors is null, this setting is ignored.

  Parameters:
    `newColors` - data element Fill color set.
  See Also:
    `getDiscreteFillColors()`, `setDiscreteContrastColors(java.awt.Color[])`, `setOutlineColor(java.awt.Color)`

### getDiscreteFillColors

    public java.awt.Color[] getDiscreteFillColors()

  Gets the list of colors to be associated with pie slice and bar data elements in a graph.

  Returns:
    data element colors
  See Also:
    `setDiscreteFillColors(java.awt.Color[])`, `getDiscreteContrastColors()`, `getOutlineColor()`

### setContinuousColorSpectrum

    public void setContinuousColorSpectrum(ColorPosition[] newColorSpectrum)
                                    throws java.lang.IllegalArgumentException

  Sets a color spectrum defined as an array of color inflection points mapped to normalised (0.0 to 1.0 inclusive) range. The range MUST begin with 0.0 and end at 1.0. Any inflection points specified within this range must be specified in ascending order. For example to specify a color spectrum where the lower 1/3 graduates from red to orange, the middle 1/3 graduates from orange to yellow and the final 1/3 graduates from yellow to green you should define the color spectrum as follows:

       setContinuousColorSpectrum( new ColorPosition[] {
                                   new ColorPosition(Color.red, 0.0 ),
                                   new ColorPosition(Color.orange, 0.33 ),
                                   new ColorPosition(Color.yellow, 0.67 ),
                                   new ColorPosition(Color.green, 1.0 )
                                   };

  Special note: duplicate pairs are allowed once for a given value to facilitate the definition of solid color ranges or transition levels between graduating colors. The color of the value corresponding to the exact inflection point value will be mapped to the color of the range containing the inflection point as its starting point.

  For example to define a color spectrum where the lower 1/4 is a constant red color, the next 1/4 is orange, the next 1/4 graduates from yellow to blue and the final 1/4 is green you should define the color spectrum as follows:

       setContinuousColorSpectrum( new ColorPosition[] {
                                   new ColorPosition(Color.red, 0.0 ),
                                   new ColorPosition(Color.red, 0.25 ),
                                   new ColorPosition(Color.orange, 0.25 ),
                                   new ColorPosition(Color.orange, 0.5 ),
                                   new ColorPosition(Color.yellow, 0.5 ),
                                   new ColorPosition(Color.blue, 0.75 ),
                                   new ColorPosition(Color.green, 0.75 ),
                                   new ColorPosition(Color.green, 1.0 )
                                   };

  Using a normalised range allows for a color map that is independent from the actual data values. If the actaul data range spand from 35 to 165 then the data value corresponding to the 0.25 inflection point would be ((165-35)*0.25 + 35) = 67.5. So given the last definition the values between 35 and 67.5 not including 67.5 (i.e. [35,65) ) would be colored red while values between 67.5 and ((165-35)*0.5 + 35) (i.e. [67.5,100) ) wold be colored orange etc. Special note: the final range includes both its beginning and ending vlaues (i.e. [0.75,1.0] normalized or [132.5,165] using this example).

  Parameters:
    `newColorSpectrum` - an array of color inflection points mapped to normalized (0.0 to 1.0 inclusive) range (Note: a null newColorSpectrum is ignored so specifying a null newColorSpectrum has no affect)
  Throws:
    `java.lang.IllegalArgumentException` - is thrown if the range does not begin with 0.0 or end with 1.0
    `java.lang.IllegalArgumentException` - is thrown if the inflection points within the range ar not specified in ascending order
  See Also:
    `getContinuousColorSpectrum()`

### getContinuousColorSpectrum

    public ColorPosition[] getContinuousColorSpectrum()

  Gets the color spectrum, a list of colors with associated positions along a normalized range of 0.0 to 1.0.

  Returns:
    color spectrum
  See Also:
    `setContinuousColorSpectrum(com.sas.graphics.components.ColorPosition[])`

### setDiscreteContrastColors

    public void setDiscreteContrastColors(java.awt.Color[] newColors)

  Sets the colors to be used for Contrast data elements in a graph. Stores a copy of the input array. These colors are usually used for marker data elements. Filled data elements, such as pie slices and bars use the fill color set. However, each individual chart determines how it will use these colors. Check chart specific documentation.

  If newColors is null, this setting is ignored.

  Parameters:
    `newColors` - Contrast data element color set
  See Also:
    `getDiscreteContrastColors()`, `setDiscreteFillColors(java.awt.Color[])`, `setOutlineColor(java.awt.Color)`

### getDiscreteContrastColors

    public java.awt.Color[] getDiscreteContrastColors()

  Gets the list of colors to be associated with Contrast data elements in a graph.

  Returns:
    data element colors for Contrast color set.
  See Also:
    `setDiscreteContrastColors(java.awt.Color[])`, `getDiscreteFillColors()`, `getOutlineColor()`

### setErrorColor

    public void setErrorColor(java.awt.Color newColor)

  Sets the color to be associated with error data values in a graph. This color is only used for filled data elements. However, each individual chart determines how it will use this color. Check chart specific documentation.

  If newColor is null, this setting is ignored.

  Parameters:
    `newColor` - data element Error color.
  See Also:
    `getErrorColor()`

### getErrorColor

    public java.awt.Color getErrorColor()

  Gets the color to be associated with error data values in a graph.

  Returns:
    data element Error color
  See Also:
    `setErrorColor(java.awt.Color)`

### setOtherColor

    public void setOtherColor(java.awt.Color newColor)

  Sets the color to be associated with the Other pie slice in a pie chart. However, each individual chart determines how it will use this color. Check chart specific documentation.

  If newColor is null, this setting is ignored.

  Parameters:
    `newColor` - Other pie slice color.
  See Also:
    `getOtherColor()`

### getOtherColor

    public java.awt.Color getOtherColor()

  Gets the color to be associated with Other pie slice in a pie chart.

  Returns:
    data element Other pie slice color
  See Also:
    `setOtherColor(java.awt.Color)`

### setOutOfRangeColor

    public void setOutOfRangeColor(java.awt.Color newColor)

  Sets the color to be associated with Out Of Range data values in a graph. This color is only used for filled data elements. However, each individual chart determines how it will use this color. Check chart specific documentation.

  If newColor is null, this setting is ignored.

  Parameters:
    `newColor` - data element Out Of Range color.
  See Also:
    `getOutOfRangeColor()`

### getOutOfRangeColor

    public java.awt.Color getOutOfRangeColor()

  Gets the color to be associated with Out Of Range data values in a graph.

  Returns:
    data element Out Of Range color
  See Also:
    `setOutOfRangeColor(java.awt.Color)`

### setOverFlowColor

    public void setOverFlowColor(java.awt.Color newColor)

  Sets the color to be associated with Over Flow data values in a Spectrum Plot. This color is only used for filled data elements. However, each individual chart determines how it will use this color. Check chart specific documentation.

  If newColor is null, this setting is ignored.

  Parameters:
    `newColor` - data element Over Flow color.
  See Also:
    `getOverFlowColor()`

### getOverFlowColor

    public java.awt.Color getOverFlowColor()

  Gets the color to be associated with Over Flow data values in a Spectrum Plot.

  Returns:
    data element Over Flow color
  See Also:
    `setOverFlowColor(java.awt.Color)`

### setUnderFlowColor

    public void setUnderFlowColor(java.awt.Color newColor)

  Sets the color to be associated with Under Flow data values in a Spectrum Plot. This color is only used for filled data elements. However, each individual chart determines how it will use this color. Check chart specific documentation.

  If newColor is null, this setting is ignored.

  Parameters:
    `newColor` - data element Under Flow color.
  See Also:
    `getUnderFlowColor()`

### getUnderFlowColor

    public java.awt.Color getUnderFlowColor()

  Gets the color to be associated with Under Flow data values in a Spectrum Plot.

  Returns:
    data element Over Flow color
  See Also:
    `setUnderFlowColor(java.awt.Color)`

### setThresholdColor

    public void setThresholdColor(java.awt.Color newColor)

  Sets the color to be associated with data values that at or above or below the set Threshold value set in a BarChart graph. This color is only used for filled data elements. However, each individual chart determines how it will use this color. Check chart specific documentation.

  If newColor is null, this setting is ignored.

  Parameters:
    `newColor` - data element Threshold color.
  See Also:
    `getThresholdColor()`, `BarChartModel.setResponseAxisLowerThreshold(double)`, `BarChartModel.setResponseAxisUpperThreshold(double)`, `BarChartModel.setResponse2AxisLowerThreshold(double)`, `BarChartModel.setResponse2AxisUpperThreshold(double)`

### getThresholdColor

    public java.awt.Color getThresholdColor()

  Gets the color to be associated with data values above or below the set Threshold value.

  Returns:
    data element Threshold color
  See Also:
    `setThresholdColor(java.awt.Color)`

### setMilestoneColor

    public void setMilestoneColor(java.awt.Color newColor)

  Specifies the color to use for a milestone data element. Each graph type will determine if this property is applicable how it is applied. Check graph specific documentation.

  Parameters:
    `newColor` - data element Threshold color; null is ignored (equivilent to no-op).
  See Also:
    `getMilestoneColor()`

### getMilestoneColor

    public java.awt.Color getMilestoneColor()

  Returns the color property used to identify milestones.

  Returns:
    the milestone color
  See Also:
    `setMilestoneColor(java.awt.Color)`

### setInitialColor

    public void setInitialColor(java.awt.Color newColor)

  Specifies the color to use for an "initial" value. Initial values are specific to certain graph types. The WaterfallChart has an initial value with an associated initial bar. "Initial", in this since does not mean the 1st element taht any graph is drawing but rather "initial" is an identifying term that is utilized by certain graph types. Each graph type will determine whether this property is applicable and how it is applied. Check graph specific documentation.

  Parameters:
    `newColor` - initial color; null is ignored (equivilent to no-op).
  See Also:
    `getInitialColor()`

### getInitialColor

    public java.awt.Color getInitialColor()

  Returns the color property used to identify "initial" values. The WaterfallChart employes initial values.

  Returns:
    the "initial" color
  See Also:
    `setInitialColor(java.awt.Color)`

### setNormalColor

    public void setNormalColor(java.awt.Color newColor)

  Specifies the color to use for an "Normal" portion of the gantt bar. Normal values are specific to the gantt chart though other charts may use this other ways. Check graph specific documentation.

  Parameters:
    `newColor` - Normal color; null is ignored (equivilent to no-op).
  See Also:
    `getNormalColor()`

### getNormalColor

    public java.awt.Color getNormalColor()

  Returns the color property used to identify "Normal" portion of the gantt bar. The GanttChart employes Normal values.

  Returns:
    the "Normal" color
  See Also:
    `getNormalColor()`

### setSlackColor

    public void setSlackColor(java.awt.Color newColor)

  Specifies the color to use for an "Slack" portion of the gantt bar. Slack values are specific to the gantt chart though other charts may use this other ways. Check graph specific documentation.

  Parameters:
    `newColor` - Slack color; null is ignored (equivilent to no-op).
  See Also:
    `getSlackColor()`

### getSlackColor

    public java.awt.Color getSlackColor()

  Returns the color property used to identify "Slack" portion of the gantt bar. The GanttChart employes Slack values.

  Returns:
    the "Slack" color
  See Also:
    `getSlackColor()`

### setCriticalColor

    public void setCriticalColor(java.awt.Color newColor)

  Specifies the color to use for an "Critical" gantt bar. Critical values are specific to the gantt chart though other charts may use this other ways. Check graph specific documentation.

  Parameters:
    `newColor` - Critical color; null is ignored (equivilent to no-op).
  See Also:
    `getCriticalColor()`

### getCriticalColor

    public java.awt.Color getCriticalColor()

  Returns the color property used to identify "Critical" gantt bar. The GanttChart employes Critical values.

  Returns:
    the "Critical" color
  See Also:
    `getCriticalColor()`

### setActualColor

    public void setActualColor(java.awt.Color newColor)

  Specifies the color to use for an "Actual" gantt bar. Actual values are specific to the gantt chart though other charts may use this other ways. Check graph specific documentation.

  Parameters:
    `newColor` - Actual color; null is ignored (equivilent to no-op).
  See Also:
    `getActualColor()`

### getActualColor

    public java.awt.Color getActualColor()

  Returns the color property used to identify "Actual" gantt bar. The GanttChart employs Actual values.

  Returns:
    the "Actual" color
  See Also:
    `getActualColor()`

### setCustomSchedule1Color

    public void setCustomSchedule1Color(java.awt.Color newColor)

  Specifies the color to use for an "Custom Schedule 1 " gantt bar. Custom Schedule 1 values are specific to the gantt chart though other charts may use this other ways. Check graph specific documentation.

  Parameters:
    `newColor` - Custom Schedule 1 color; null is ignored (equivilent to no-op).
  See Also:
    `getCustomSchedule1Color()`

### getCustomSchedule1Color

    public java.awt.Color getCustomSchedule1Color()

  Returns the color property used to identify "Custom Schedule 1" gantt bar. The GanttChart employs Custom Schedule 1 values.

  Returns:
    the "Custom Schedule 1" color
  See Also:
    `setCustomSchedule1Color(java.awt.Color)`

### setCustom2Color

    public void setCustom2Color(java.awt.Color newColor)

  Specifies the color to use for an "Custom Schedule 2 " gantt bar. Custom Schedule 2 values are specific to the gantt chart though other charts may use this other ways. Check graph specific documentation.

  Parameters:
    `newColor` - Custom Schedule 2 color; null is ignored (equivilent to no-op).
  See Also:
    `getCustom2Color()`

### getCustom2Color

    public java.awt.Color getCustom2Color()

  Returns the color property used to identify "Custom Schedule 2" gantt bar. The GanttChart employs Custom Schedule 2 values.

  Returns:
    the "Custom Schedule 2" color
  See Also:
    `setCustom2Color(java.awt.Color)`

### setResourceColor

    public void setResourceColor(java.awt.Color newColor)

  Specifies the color to use for an "Resource" gantt bar. Resource values are specific to the gantt chart though other charts may use this other ways. Check graph specific documentation.

  Parameters:
    `newColor` - Resource color; null is ignored (equivilent to no-op).
  See Also:
    `getResourceColor()`

### getResourceColor

    public java.awt.Color getResourceColor()

  Returns the color property used to identify "Resource" gantt bar. The GanttChart employes Resource values.

  Returns:
    the "Resource" color
  See Also:
    `getResourceColor()`

### setBaselineColor

    public void setBaselineColor(java.awt.Color newColor)

  Specifies the color to use for an "Baseline" gantt bar. Baseline values are specific to the gantt chart though other charts may use this other ways. Check graph specific documentation.

  Parameters:
    `newColor` - Baseline color; null is ignored (equivilent to no-op).
  See Also:
    `getBaselineColor()`

### getBaselineColor

    public java.awt.Color getBaselineColor()

  Returns the color property used to identify "Baseline" gantt bar. The GanttChart employes Baseline values.

  Returns:
    the "Baseline" color
  See Also:
    `getBaselineColor()`

### setFinalColor

    public void setFinalColor(java.awt.Color newColor)

  Specifies the color to use for an "final" value. Final values are specific to certain graph types. The WaterfallChart has an final value with an associated final bar. "Final", in this since does not mean the 1st element taht any graph is drawing but rather "final" is an identifying term that is utilized by certain graph types. Each graph type will determine whether this property is applicable and how it is applied. Check graph specific documentation.

  Parameters:
    `newColor` - final color; null is ignored (equivilent to no-op).
  See Also:
    `getFinalColor()`, `WaterfallChartModel.setFinalBarEnabled(boolean)`

### getFinalColor

    public java.awt.Color getFinalColor()

  Returns the color property used to identify "final" values. The WaterfallChart employes final values.

  Returns:
    the "final" color
  See Also:
    `getFinalColor()`

### setTargetColor

    public void setTargetColor(java.awt.Color newTargetColor)

  Sets the color applied to target indicators.

  The default value is java.awt.Color.BLACK.

  graph.applyGraphStyle(GraphStyle) must be called before this property setting will appear in a Graph.

  Parameters:
    `newTargetColor` - the primary color used to target indicator.
  See Also:
    `getTargetColor()`

### getBreakTimeColor

    public java.awt.Color getBreakTimeColor()

  Returns the color applied to break time, usually utilaize by gantt charts.

  Returns:
    the color applied to break time section of the bar.
  See Also:
    `setBreakTimeColor(java.awt.Color)`

### setBreakTimeColor

    public void setBreakTimeColor(java.awt.Color newBreakTimeColor)

  Sets the color applied to break time, usually utilized by gantt chart.

  The default value is new Color(102,102,102).

  graph.applyGraphStyle(GraphStyle) must be called before this property setting will appear in a Graph.

  Parameters:
    `newBreakTimeColor` - the primary color used to break time bar sections.
  See Also:
    `getBreakTimeColor()`

### getTargetColor

    public java.awt.Color getTargetColor()

  Returns the color applied to target indicators.

  Returns:
    the color applied to target indicators.
  See Also:
    `setTargetColor(java.awt.Color)`

### setMissingColor

    public void setMissingColor(java.awt.Color newMissingColor)

  Sets the color applied to missing values.

  The default value is java.awt.Color.lightGray.

  graph.applyGraphStyle(GraphStyle) must be called before this property setting will appear in a Graph.

  Parameters:
    `newMissingColor` - the primary color used to indicate missing values.
  See Also:
    `getMissingColor()`

### getMissingColor

    public java.awt.Color getMissingColor()

  Returns the color applied to missing values.

  Returns:
    the color applied to missing values.
  See Also:
    `setMissingColor(java.awt.Color)`

### setOutlineColor

    public void setOutlineColor(java.awt.Color newColor)

  Set the data elements outline color If newColor is null, this setting is ignored.

  Parameters:
    `newColor` - the outline color for data elements
  See Also:
    `getOutlineColor()`

### getOutlineColor

    public java.awt.Color getOutlineColor()

  Get the outline color for data elements.

  Returns:
    Color for outline of data elements
  See Also:
    `setOutlineColor(java.awt.Color)`

### setConnectingLineColor

    public void setConnectingLineColor(java.awt.Color newColor)

  Set the data elements connecting line color If newColor is null, this setting is ignored.

  Parameters:
    `newColor` - the connecting line color for data elements
  See Also:
    `getConnectingLineColor()`

### getConnectingLineColor

    public java.awt.Color getConnectingLineColor()

  Get the connecting line color for data elements.

  Returns:
    Color for connecting line for data elements
  See Also:
    `setConnectingLineColor(java.awt.Color)`

### setContinuousFillTwoColorStartColor

    public void setContinuousFillTwoColorStartColor(java.awt.Color newColor)

  Sets the beginning color of a two color continuous range spectrum for the data elements.

  Parameters:
    `newColor` - Start color of a data element two color continuous range Fill color.
  See Also:
    `getContinuousFillTwoColorStartColor()`, `setContinuousFillThreeColorStartColor(java.awt.Color)`

### getContinuousFillTwoColorStartColor

    public java.awt.Color getContinuousFillTwoColorStartColor()

  Returns the beginning color of a two color continuous range spectrum for the data elements.

  See Also:
    `setContinuousFillTwoColorStartColor(java.awt.Color)`, `getContinuousFillThreeColorStartColor()`

### setContinuousFillTwoColorEndColor

    public void setContinuousFillTwoColorEndColor(java.awt.Color newColor)

  Sets the ending color of a two color continuous range spectrum for the data elements.

  Parameters:
    `newColor` - End color of a data element two color continuous range Fill color.
  See Also:
    `getContinuousFillTwoColorEndColor()`, `setContinuousFillThreeColorEndColor(java.awt.Color)`

### getContinuousFillTwoColorEndColor

    public java.awt.Color getContinuousFillTwoColorEndColor()

  Returns the ending color of a two color continuous range spectrum for the data elements.

  See Also:
    `setContinuousFillTwoColorEndColor(java.awt.Color)`, `getContinuousFillThreeColorEndColor()`

### setContinuousFillThreeColorStartColor

    public void setContinuousFillThreeColorStartColor(java.awt.Color newColor)

  Sets the beginning color of a three color continuous range spectrum for the data elements.

  Parameters:
    `newColor` - Start color of a data element three color continuous range Fill color.
  See Also:
    `getContinuousFillThreeColorStartColor()`, `setContinuousFillThreeColorNeutralColor(java.awt.Color)`, `setContinuousFillThreeColorEndColor(java.awt.Color)`, `setContinuousFillTwoColorStartColor(java.awt.Color)`

### getContinuousFillThreeColorStartColor

    public java.awt.Color getContinuousFillThreeColorStartColor()

  Returns the beginning color of a three color continuous range spectrum for the data elements.

  See Also:
    `setContinuousFillThreeColorStartColor(java.awt.Color)`, `getContinuousFillThreeColorNeutralColor()`, `getContinuousFillThreeColorEndColor()`, `getContinuousFillTwoColorStartColor()`

### setContinuousFillThreeColorEndColor

    public void setContinuousFillThreeColorEndColor(java.awt.Color newColor)

  Sets the ending color of a three color continuous range spectrum for the data elements.

  Parameters:
    `newColor` - End color of a data element three color continuous range Fill color.
  See Also:
    `getContinuousFillThreeColorEndColor()`, `setContinuousFillThreeColorStartColor(java.awt.Color)`, `setContinuousFillThreeColorNeutralColor(java.awt.Color)`, `setContinuousFillTwoColorEndColor(java.awt.Color)`

### getContinuousFillThreeColorEndColor

    public java.awt.Color getContinuousFillThreeColorEndColor()

  Returns the ending color of a three color continuous range spectrum for the data elements.

  See Also:
    `setContinuousFillThreeColorEndColor(java.awt.Color)`, `getContinuousFillThreeColorStartColor()`, `getContinuousFillThreeColorNeutralColor()`, `getContinuousFillTwoColorEndColor()`

### setContinuousFillThreeColorNeutralColor

    public void setContinuousFillThreeColorNeutralColor(java.awt.Color newColor)

  Sets the middle color of a three color continuous range spectrum for the data elements.

  Parameters:
    `newColor` - Middle color of a data element three color continuous range Fill color.
  See Also:
    `getContinuousFillThreeColorNeutralColor()`, `setContinuousFillThreeColorStartColor(java.awt.Color)`, `setContinuousFillThreeColorEndColor(java.awt.Color)`, `setContinuousFillTwoColorStartColor(java.awt.Color)`, `setContinuousFillTwoColorEndColor(java.awt.Color)`

### getContinuousFillThreeColorNeutralColor

    public java.awt.Color getContinuousFillThreeColorNeutralColor()

  Returns the middle color of a three color continuous range spectrum for the data elements.

  See Also:
    `setContinuousFillThreeColorNeutralColor(java.awt.Color)`, `getContinuousFillThreeColorStartColor()`, `getContinuousFillThreeColorEndColor()`, `getContinuousFillTwoColorStartColor()`, `getContinuousFillTwoColorEndColor()`

### setContinuousContrastTwoColorStartColor

    public void setContinuousContrastTwoColorStartColor(java.awt.Color newColor)

  Sets the beginning color of a two color continuous range spectrum for the data elements.

  Parameters:
    `newColor` - Start color of a data element two color continuous range Contrast color.
  See Also:
    `getContinuousContrastTwoColorStartColor()`, `setContinuousContrastThreeColorStartColor(java.awt.Color)`

### getContinuousContrastTwoColorStartColor

    public java.awt.Color getContinuousContrastTwoColorStartColor()

  Returns the beginning color of a two color continuous range spectrum for the data elements.

  See Also:
    `setContinuousContrastTwoColorStartColor(java.awt.Color)`, `getContinuousContrastThreeColorStartColor()`

### setContinuousContrastTwoColorEndColor

    public void setContinuousContrastTwoColorEndColor(java.awt.Color newColor)

  Sets the ending color of a two color continuous range spectrum for the data elements.

  Parameters:
    `newColor` - End color of a data element two color continuous range Contrast color.
  See Also:
    `getContinuousContrastTwoColorEndColor()`, `setContinuousContrastThreeColorEndColor(java.awt.Color)`

### getContinuousContrastTwoColorEndColor

    public java.awt.Color getContinuousContrastTwoColorEndColor()

  Returns the ending color of a two color continuous range spectrum for the data elements.

  See Also:
    `setContinuousContrastTwoColorEndColor(java.awt.Color)`, `getContinuousContrastThreeColorEndColor()`

### setContinuousContrastThreeColorStartColor

    public void setContinuousContrastThreeColorStartColor(java.awt.Color newColor)

  Sets the beginning color of a three color continuous range spectrum for the data elements.

  Parameters:
    `newColor` - Start color of a data element three color continuous range Contrast color.
  See Also:
    `getContinuousContrastThreeColorStartColor()`, `setContinuousContrastThreeColorNeutralColor(java.awt.Color)`, `setContinuousContrastThreeColorEndColor(java.awt.Color)`, `setContinuousContrastTwoColorStartColor(java.awt.Color)`

### getContinuousContrastThreeColorStartColor

    public java.awt.Color getContinuousContrastThreeColorStartColor()

  Returns the beginning color of a three color continuous range spectrum for the data elements.

  See Also:
    `setContinuousContrastThreeColorStartColor(java.awt.Color)`, `getContinuousContrastThreeColorNeutralColor()`, `getContinuousContrastThreeColorEndColor()`, `getContinuousContrastTwoColorStartColor()`

### setContinuousContrastThreeColorEndColor

    public void setContinuousContrastThreeColorEndColor(java.awt.Color newColor)

  Sets the ending color of a three color continuous range spectrum for the data elements.

  Parameters:
    `newColor` - End color of a data element three color continuous range Contrast color.
  See Also:
    `getContinuousContrastThreeColorEndColor()`, `setContinuousContrastThreeColorStartColor(java.awt.Color)`, `setContinuousContrastThreeColorNeutralColor(java.awt.Color)`, `setContinuousContrastTwoColorEndColor(java.awt.Color)`

### getContinuousContrastThreeColorEndColor

    public java.awt.Color getContinuousContrastThreeColorEndColor()

  Returns the ending color of a three color continuous range spectrum for the data elements.

  See Also:
    `setContinuousContrastThreeColorEndColor(java.awt.Color)`, `getContinuousContrastThreeColorStartColor()`, `getContinuousContrastThreeColorNeutralColor()`, `getContinuousContrastTwoColorEndColor()`

### setContinuousContrastThreeColorNeutralColor

    public void setContinuousContrastThreeColorNeutralColor(java.awt.Color newColor)

  Sets the middle color of a three color continuous range spectrum for the data elements.

  Parameters:
    `newColor` - Middle color of a data element three color continuous range Contrast color.
  See Also:
    `getContinuousContrastThreeColorNeutralColor()`, `setContinuousContrastThreeColorStartColor(java.awt.Color)`, `setContinuousContrastThreeColorEndColor(java.awt.Color)`, `setContinuousContrastTwoColorStartColor(java.awt.Color)`, `setContinuousContrastTwoColorEndColor(java.awt.Color)`

### getContinuousContrastThreeColorNeutralColor

    public java.awt.Color getContinuousContrastThreeColorNeutralColor()

  Returns the middle color of a three color continuous range spectrum for the data elements.

  See Also:
    `setContinuousContrastThreeColorNeutralColor(java.awt.Color)`, `getContinuousContrastThreeColorStartColor()`, `getContinuousContrastThreeColorEndColor()`, `getContinuousContrastTwoColorStartColor()`, `getContinuousContrastTwoColorEndColor()`

### equals

    public boolean equals(DataElementColors that)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.